
Foreman - Bug #7061

UI doesn't show browse/upload option to upload a template file

08/13/2014 06:58 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Templates   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1129612 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1684

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1129612

Description of problem:

All template related tests are failing as there is no way to upload a template via UI. I didn't see the browse and upload buttons with

sat6 GA snap4

Version-Release number of selected component (if applicable):

sat6 GA snap4

How reproducible:

always

Steps to Reproduce:

1. create a new template by uploading a template file

2.

3.

Actual results:

UI doesn't show browse/upload option to upload a template file

Expected results:

User should be able to upload a template file

Additional info:

Related issues:

Related to Foreman - Feature #3103: Read only provisioning/config templates f... Closed 09/17/2013

Associated revisions

Revision 415785ad - 08/13/2014 03:17 PM - Stephen Benjamin

fixes #7061 - show file upload when template is not locked

Revision 1b413aa8 - 08/27/2014 08:02 AM - Stephen Benjamin

fixes #7061 - show file upload when template is not locked

(cherry picked from commit 415785addf0423fc8c8588b45b4e31d7a07c5cc0)

History

#1 - 08/13/2014 06:58 AM - Dominic Cleal

- Category set to Templates

- Target version set to 1.7.5

- translation missing: en.field_release set to 10
#2 - 08/13/2014 07:05 AM - Dominic Cleal

- Related to Feature #3103: Read only provisioning/config templates for plugins added

#3 - 08/13/2014 07:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1684 added

- Pull request deleted ()

#4 - 08/13/2014 07:06 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

#5 - 08/13/2014 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 415785addf0423fc8c8588b45b4e31d7a07c5cc0.
